## octave-cgi 0.1.2

=== DESCRIPTION ===
Name: cgi
Version: 0.1.2
Date: 2016-09-07
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: cgi
Description: Common Gateway Interface for Octave
Categories: Web development
Depends: octave (>= 3.8.0)
License: GPLv2+
Url: http://octave.sf.net, http://modb.oce.ulg.ac.be/mediawiki/index.php/CGI_programming_with_Octave

=== debian/changelog ===
octave-cgi (0.1.2-5) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 03:38:48 -0300

octave-cgi (0.1.2-4) unstable; urgency=medium

  * d/watch:
    + Bump file version to 4
    + Adjust for new URL at gnu-octave.github.io
  * d/rules: Use target execute_before_dh_auto_installdeb instead of
    override_dh_auto_installdeb
  * d/copyright:
    + Accentuate my family name
    + Fix text of GPL-2 license
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 03:26:55 -0300

octave-cgi (0.1.2-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jul 2020 06:10:30 -0300

octave-cgi (0.1.2-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:53:51 -0200

octave-cgi (0.1.2-1) unstable; urgency=low

  * Initial release (closes: #898153)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Jun 2018 17:05:46 -0300

=== debian/control ===
Source: octave-cgi
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/cgi/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-cgi.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-cgi
Testsuite: autopkgtest-pkg-octave

Package: octave-cgi
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: Common Gateway Interface for Octave
 This package allow the creation of CGI (Common Gateway Interface)
 objects and the parsing of CGI query string from GET or POST requests.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

pkg = octave-cgi
exdir = $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/examples

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb:
	# Fix permissions of examples files
	chmod -x $(exdir)/*.sh

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/cgi/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/cgi-@ANY_VERSION@@ARCHIVE_EXT@
